Next: psb_owned_index Up: Data management routines Previous: psb_loc_to_glob Local Contents

## psb_is_owned

    call psb_is_owned(x, desc_a)

Type:
  Asynchronous.
On Entry
x
  Integer index.
  Scope: local
  Type: required
  Intent: in.
  Specified as: a scalar integer.
desc_a
  the communication descriptor.
  Scope:local.
  Type:required.
  Intent: in.
  Specified as: a structured data of type descdata`psb_desc_type`.

On Return
Function value
  A logical mask which is true if is owned by the current process Scope: local
  Type: required
  Intent: out.

Notes

1. This routine returns a `.true.` value for an index that is strictly owned by the current process, excluding the halo indices